Subject: Subtree filtering question

From: Vincent Cridlig <[email-masked]>
Date: Mon, 31 Oct 2005 11:27:17 +0100

Hi,

I have some questions about subtree filtering process in Netconf.

How do I select with subtree filtering only users (with all their information) which belong to dept 3 ?
In Xpath, it will be /top/users/user[company-info/dept='3'].

I was thinking of the following request but I feel like it will select all users and will simply discard the company-info node when dept is not 3.

     <rpc message-id="101"
          xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
       <get-config>
         <source>
           <running/>
         </source>
         <filter type="subtree">
           <top xmlns="http://example.com/schema/1.2/config">
             <users>
               <user>
                 <name/>
                 <type/>
                 <company-info>
                   <dept>3</dept>
                 </company-info>
               </user>
             </users>
           </top>
         </filter>
       </get-config>
     </rpc>

Is it right to say that a node (like for example user) can only be discarded by a content match node which is a direct child of it 
(but not by a child which is two levels or more under the considered node) ?

Another comment is that, in xpath capability, it would be great to specify how namespaces and context prefix are handled, as it has been done for subtree filtering.

Thanks,
Vincent